# Class AttackTypeBoosterModifierType

#### Hierarchy (view full)

- PokemonHeldItemModifierType
  - AttackTypeBoosterModifierType

#### Implements

- GeneratedPersistentModifierType

- Defined in src/modifier/modifier-type.ts:516

#####
Index

### Constructors

constructor

### Properties

boostPercent
generatorId
group
iconImage
id
localeKey
moveType
newModifierFunc
selectFilter
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
getPregenArgs
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new AttackTypeBoosterModifierType(moveType, boostPercent): AttackTypeBoosterModifierType

- #### Parameters

  - moveType: Type
  - boostPercent: number

  #### Returns AttackTypeBoosterModifierType

  Overrides PokemonHeldItemModifierType.constructor

  - Defined in src/modifier/modifier-type.ts:520

## Properties

### boostPercent

boostPercent: number

- Defined in src/modifier/modifier-type.ts:518

### generatorId

generatorId: string

Inherited from PokemonHeldItemModifierType.generatorId

- Defined in src/modifier/modifier-type.ts:47

### group

group: string

Inherited from PokemonHeldItemModifierType.group

- Defined in src/modifier/modifier-type.ts:50

### iconImage

iconImage: string

Inherited from PokemonHeldItemModifierType.iconImage

- Defined in src/modifier/modifier-type.ts:49

### id

id: string

Inherited from PokemonHeldItemModifierType.id

- Defined in src/modifier/modifier-type.ts:46

### localeKey

localeKey: string

Inherited from PokemonHeldItemModifierType.localeKey

- Defined in src/modifier/modifier-type.ts:48

### moveType

moveType: Type

- Defined in src/modifier/modifier-type.ts:517

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

Inherited from PokemonHeldItemModifierType.newModifierFunc

- Defined in src/modifier/modifier-type.ts:53

### selectFilter

selectFilter: PokemonSelectFilter

Inherited from PokemonHeldItemModifierType.selectFilter

- Defined in src/modifier/modifier-type.ts:200

### soundName

soundName: string

Inherited from PokemonHeldItemModifierType.soundName

- Defined in src/modifier/modifier-type.ts:51

### tier

tier: ModifierTier

Inherited from PokemonHeldItemModifierType.tier

- Defined in src/modifier/modifier-type.ts:52

## Accessors

### name

- get name(): string

- #### Returns string

  Overrides PokemonHeldItemModifierType.name

  - Defined in src/modifier/modifier-type.ts:528

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Overrides PokemonHeldItemModifierType.getDescription

  - Defined in src/modifier/modifier-type.ts:532

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  Inherited from PokemonHeldItemModifierType.getOrInferTier

  - Defined in src/modifier/modifier-type.ts:75

### getPregenArgs

- getPregenArgs(): any[]

- #### Returns any[]

  Implementation of GeneratedPersistentModifierType.getPregenArgs

  - Defined in src/modifier/modifier-type.ts:537

### newModifier

- newModifier(...args): PokemonHeldItemModifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns PokemonHeldItemModifier

  Inherited from PokemonHeldItemModifierType.newModifier

  - Defined in src/modifier/modifier-type.ts:225

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  Inherited from PokemonHeldItemModifierType.setTier

  - Defined in src/modifier/modifier-type.ts:71

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  Inherited from PokemonHeldItemModifierType.withIdFromFunc

  - Defined in src/modifier/modifier-type.ts:112